<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="WARN">
	<Properties>
		<Property name="log-path">logs</Property>
	</Properties>
	<Appenders>
		<Console name="console-log" target="SYSTEM_OUT">
			<PatternLayout pattern="[%-5level] [%t] %c{1} - %msg%n" />
		</Console>
		<RollingFile name="trace-log" fileName="${log-path}/test-info.log"
			filePattern="${log-path}/test-trace-%d{yyyy-MM-dd}.log">
			<PatternLayout>
				<pattern>[%-5level] [%t] %c{1} - %msg%n</pattern>
			</PatternLayout>
			<Policies>
				<TimeBasedTriggeringPolicy interval="1"
					modulate="true" />
			</Policies>
		</RollingFile>
		<RollingFile name="debug-log" fileName="${log-path}/test-debug.log"
			filePattern="${log-path}/debug-debug-%d{yyyy-MM-dd}.log">
			<PatternLayout>
				<pattern>[%-5level] [%t] %c{1} - %msg%n</pattern>
			</PatternLayout>
			<Policies>
				<TimeBasedTriggeringPolicy interval="1"
					modulate="true" />
			</Policies>
		</RollingFile>
	</Appenders>
	<Loggers>
		<Logger name="com.target" level="debug" additivity="false">
			<appender-ref ref="trace-log" level="info" />
			<appender-ref ref="debug-log" level="debug" />
		</Logger>
		<Root level="info" additivity="false">
			<AppenderRef ref="console-log" />
		</Root>
	</Loggers>
</Configuration>